Time tracking
Get Org Time Tracking Employees
Lists active employees with their time-tracking enablement, country obligation, compliance gaps and templates.
Required scope: time:read
curl --request GET \
--url 'https://api.toku.com/hris/get-org-time-tracking-employees' \
--header 'Authorization: Bearer <token>'{
"employees": [
{
"roleInOrgID": "string",
"employeeName": "string",
"workEmail": "string",
"department": "string",
"countryCode": "string",
"countryStatus": "string",
"autopilotEligible": true,
"enabled": true,
"mode": "string",
"timezone": "string",
"weeklyHoursLimit": 0,
"scheduleTemplateID": "string",
"scheduleTemplateName": "string",
"effectiveFrom": "string",
"effectiveTo": "string",
"isComplianceGap": true,
"autoEnrolFrom": "string",
"isTrackingRequired": true,
"breakPay": {
"shortBreakPay": "string",
"mealBreakPay": "string"
},
"breakPayEditable": {
"shortBreakPay": true,
"mealBreakPay": true
},
"breakPayOverride": {
"shortBreakPay": "string",
"mealBreakPay": "string",
"note": "string"
}
}
],
"templates": [
{
"timeTrackingScheduleTemplateID": "string",
"name": "string",
"countryCode": "string"
}
]
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Query parameters
countryCodestringAvailable options: ABW, AFG, AGO, AIA, ALA, ALB, AND, ARE, ARG, ARM, ASM, ATA, ATF, ATG, AUS, AUT, AZE, BDI, BEL, BEN, BES, BFA, BGD, BGR, BHR, BHS, BIH, BLR, BLZ, BMU, BOL, BRA, BRB, BRN, BTN, BVT, BWA, CAF, CAN, CCK, CHE, CHL, CHN, CIV, CMR, COD, COG, COK, COL, COM, CPV, CRI, CUB, CUW, CXR, CYM, CYP, CZE, DEU, DJI, DMA, DNK, DOM, DZA, ECU, EGY, ERI, ESH, ESP, EST, ETH, FIN, FJI, FLK, FRA, FRO, FSM, GAB, GBR, GEO, GGY, GHA, GIB, GIN, GLP, GMB, GNB, GNQ, GRC, GRD, GRL, GTM, GUF, GUM, GUY, HKG, HMD, HND, HRV, HTI, HUN, IDN, IMN, IND, IOT, IRL, IRN, IRQ, ISL, ISR, ITA, JAM, JEY, JOR, JPN, KAZ, KEN, KGZ, KHM, KIR, KNA, KOR, KWT, LAO, LBN, LBR, LBY, LCA, LIE, LKA, LSO, LTU, LUX, LVA, MAC, MAF, MAR, MCO, MDA, MDG, MDV, MEX, MHL, MKD, MLI, MLT, MMR, MNE, MNG, MNP, MOZ, MRT, MSR, MTQ, MUS, MWI, MYS, MYT, NAM, NCL, NER, NFK, NGA, NIC, NIU, NLD, NOR, NPL, NRU, NZL, OMN, PAK, PAN, PCN, PER, PHL, PLW, PNG, POL, PRI, PRK, PRT, PRY, PSE, PYF, QAT, REU, ROU, RUS, RWA, SAU, SDN, SEN, SGP, SGS, SHN, SJM, SLB, SLE, SLV, SMR, SOM, SPM, SRB, SSD, STP, SUR, SVK, SVN, SWE, SWZ, SXM, SYC, SYR, TCA, TCD, TGO, THA, TJK, TKL, TKM, TLS, TON, TTO, TUN, TUR, TUV, TWN, TZA, UGA, UKR, UMI, URY, USA, UZB, VAT, VCT, VEN, VGB, VIR, VNM, VUT, WLF, WSM, YEM, ZAF, ZMB, ZWE
filterstringAvailable options: ALL, TRACKED, UNTRACKED, REQUIRED_UNTRACKED
searchstringAllowed: at most 200 characters
Response
200Successful response
employeesobject[]requiredShow child attributes
roleInOrgIDstringrequiredemployeeNamestringrequiredworkEmailstring | nullrequireddepartmentstring | nullrequiredcountryCodestring | nullrequiredcountryStatusstringrequiredautopilotEligiblebooleanrequiredenabledbooleanrequiredmodestring | nullrequiredtimezonestring | nullrequiredweeklyHoursLimitnumber | nullrequiredscheduleTemplateIDstring | nullrequiredscheduleTemplateNamestring | nullrequiredeffectiveFromstring | nullrequiredeffectiveTostring | nullrequiredisComplianceGapbooleanrequiredautoEnrolFromstring | nullrequiredisTrackingRequiredbooleanrequiredbreakPayobjectrequiredShow child attributes
shortBreakPaystringrequiredmealBreakPaystringrequiredbreakPayEditableobjectrequiredShow child attributes
shortBreakPaybooleanrequiredmealBreakPaybooleanrequiredbreakPayOverrideobjectrequiredShow child attributes
shortBreakPaystring | nullrequiredmealBreakPaystring | nullrequirednotestring | nullrequiredtemplatesobject[]requiredShow child attributes
timeTrackingScheduleTemplateIDstringrequirednamestringrequiredcountryCodestring | nullrequired